﻿#pragma once

// CControlView 窗体视图

class CControlView : public CFormView
{
    DECLARE_DYNCREATE(CControlView)

protected:
    CControlView();           // 动态创建所使用的受保护的构造函数
    virtual ~CControlView();

public:
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_DIALOG_CONTROL };
#endif
#ifdef _DEBUG
    virtual void AssertValid() const;
#ifndef _WIN32_WCE
    virtual void Dump(CDumpContext& dc) const;
#endif
#endif

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

    DECLARE_MESSAGE_MAP()
public:
    void SetCond(BOOL flag);

    // 消息处理
    afx_msg void OnSize(UINT nType, int cx, int cy);
    virtual void OnInitialUpdate();
    virtual void OnUpdate(CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/);

    // 选择信息
    CString m_sMode = (CString)"Time";
    CString m_sSource = (CString)"Cs137";
    CString m_sAxisMode = (CString)"Linear";
    CString m_sRangeMode = (CString)"Auto";
    CString m_sSmoothType = (CString)"Origin";

    // 量程
    int m_nLC;

    // 光标信息
    int m_nWidth;
    int m_nCursor1;
    int m_nCursor2;
    int m_nCursorROI;
    int m_nCursor1Count;
    int m_nCursor2Count;
    int m_nCursorROICount;

    // 侧边信息
    double m_nCond;
    double m_nT0;
    double m_nTime;
    CString m_nTimeStr;
    int m_nTotalCount;
    int m_nPartCount;
    int m_nMaxCount; 
    CComboBox m_ComboMode;
    CComboBox m_ComboAxis;
    CComboBox m_ComboSource;

    // 下拉框选择
    afx_msg void OnCbnSelchangeSource();
    afx_msg void OnCbnSelchangeMode();
    afx_msg void OnCbnSelchangeAxis();
};
