﻿
// MCAView.h: CMCAView 类的接口
//

#pragma once


class CMCAView : public CView
{
protected: // 仅从序列化创建
	CMCAView() noexcept;
	DECLARE_DYNCREATE(CMCAView)

// 特性
public:
	CMCADoc* GetDocument() const;

// 操作
public:

// 重写
public:
	virtual void OnDraw(CDC* pDC);  // 重写以绘制该视图
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// 实现
public:
	virtual ~CMCAView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 生成的消息映射函数
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // MCAView.cpp 中的调试版本
inline CMCADoc* CMCAView::GetDocument() const
   { return reinterpret_cast<CMCADoc*>(m_pDocument); }
#endif

